package com.muyu.scope.model;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 一页
 * @Author: DongZeLiang
 * @date: 2024/5/5
 * @Description: 一页
 * @Version: 1.0
 */
@Data
public class DataSetModel {

    // [[DataModel,DataModel,DataModel],[DataModel,DataModel,DataModel]]

    private List<RecordModel> recordModelArr = null;

    private DataSetModel(int recordModelLength){
        recordModelArr = new ArrayList<RecordModel>();
    }

    private DataSetModel(List<RecordModel> recordModelArr){
        this.recordModelArr = recordModelArr;
    }

    public static DataSetModel build(int recordModelLength){
        return new DataSetModel(recordModelLength);
    }

    public static DataSetModel build(List<RecordModel> recordModelArr){
        return new DataSetModel(recordModelArr);
    }

}
