package com.muyu.scope.model;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 记录模型
 * @Author: DongZeLiang
 * @date: 2024/5/5
 * @Description: 记录模型
 * @Version: 1.0
 */
@Data
public class RecordModel {
    // [DataModel,DataModel,DataModel]

    private List<DataModel> dataModelArr = null;
    private RecordModel(int dataModelLength){
        dataModelArr = new ArrayList<>();
    }

    private RecordModel(List<DataModel> dataModelArr){
        this.dataModelArr = dataModelArr;
    }

    public static RecordModel build(int dataModelLength){
        return new RecordModel(dataModelLength);
    }

    public static RecordModel build(List<DataModel> dataModelArr){
        return new RecordModel(dataModelArr);
    }
}
