package com.muyu.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.etl.domain.BasicConfigInfo;
import com.muyu.etl.domain.TableInfo;
import com.muyu.service.UnitService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @ClassName UnitController
 * @Description 描述
 * @Author SaiSai.Liu
 * @Date 2024/5/15 22:08
 */
@RestController
@RequestMapping("/unit/")
public class UnitController {
    @Autowired
    private UnitService unitService;

    @PostMapping("/getTableInfo")
    public Result<List<TableInfo>> getTableInfoList(@RequestBody BasicConfigInfo basicConfigInfo) {
        return Result.success(unitService.getTableInfoList(basicConfigInfo));
    }
}
