package com.muyu.iotdb;

import org.apache.iotdb.rpc.IoTDBConnectionException;
import org.apache.iotdb.rpc.StatementExecutionException;

import java.rmi.ServerException;
import java.util.List;

/**
 * @ClassName IotDbServer
 * @Description 描述
 * @Author SaiSai.Liu
 * @Date 2024/5/21 16:28
 */
public interface IotDbServer {
    void insertData(IotDbParam iotDbParam) throws StatementExecutionException, ServerException, IoTDBConnectionException;

    List<IotDbResult> queryDataFromIotDb(IotDbParam iotDbParam) throws Exception;
}
