package com.muyu.cache;

import com.muyu.cache.abs.CacheAbs;
import com.muyu.common.redis.service.RedisService;
import com.muyu.etl.domain.BasicConfigInfo;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @ClassName AssetCache
 * @Description 描述
 * @Author SaiSai.Liu
 * @Date 2024/5/14 21:03
 */
@Component
public class AssetCache extends CacheAbs<String, List<BasicConfigInfo>> {


    public AssetCache(RedisService redisService) {
        super(redisService);
    }

    @Override
    public String preKey() {
        return "etl-cache-";
    }

    @Override
    public String enCode(String key) {
        return "etl-cache-" + key;
    }

    @Override
    public String unCode(String string) {
        return null;
    }
}
