package com.muyu.iotdb;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * description: 返回结果
 * date: 2022/8/15 21:56
 * author: Saisai.Liu
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class IotDbResult {
    /***
     * 时间
     */
    private String time;
    /***
     * 产品PK
     */
    private  String  pk;
    /***
     * 设备号
     */
    private  String  sn;
    /***
     * 实时呼吸
     */
    private String breath;
    /***
     * 实时心率
     */
    private String heart;

}
